Index: /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1301)
@@ -9,8 +9,8 @@
 $(filter-out mpi omp, $(RUN)): omp
 #-Q- aix6	../../util/ins_make -t ax6_mono -w $(NEMOLIB)/WORK
-	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) clean > $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) >> $(NEMOLIB)_logbook_$@.txt
 
-	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
+	cp ../../bin/opa_$(NEMOLIB)_$@_$(REXP)  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@_$(REXP)
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
@@ -19,4 +19,5 @@
 	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
+	cp -p  f2test.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/f2test.txt
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mon
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
@@ -31,13 +32,13 @@
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
+	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
 
 omp: mpi
 ifeq ($(filter omp,$(RUN)),omp)
-	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) clean > $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) >> $(NEMOLIB)_logbook_$@.txt
 
-	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
+	cp ../../bin/opa_$(NEMOLIB)_$@_$(REXP)  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@_$(REXP)
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
@@ -46,9 +47,10 @@
 	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
+	cp -p  f2test.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/f2test.txt
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_omp
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
+	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
 
@@ -61,9 +63,9 @@
 #-Q- aix6	../../util/ins_make -t aix6 -w $(NEMOLIB)/WORK
 	cp ./MY_SRC/par_oce.F90_keep ./MY_SRC/par_oce.F90 
-	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) clean > $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) >> $(NEMOLIB)_logbook_$@.txt
 	rm -f ./MY_SRC/par_oce.F90
 
-	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
+	cp ../../bin/opa_$(NEMOLIB)_$@_$(REXP)  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@_$(REXP)
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
@@ -72,4 +74,5 @@
 	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
+	cp -p  f2test.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/f2test.txt
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mpi
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
@@ -84,5 +87,5 @@
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
+	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
 
@@ -97,8 +100,8 @@
 #-Q- aix6	../../util/ins_make -t ax6_mono -w $(NEMOLIB)/WORK
 ifeq ($(MKMO),memo)
-	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) clean > $(NEMOLIB)_logbook_$@.txt
+	gmake -C WORK COMP=$@ EXPER=$(REXP) >> $(NEMOLIB)_logbook_$@.txt
 
-	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
+	cp ../../bin/opa_$(NEMOLIB)_$@_$(REXP)  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@_$(REXP)
 else
 	@echo 'No memory check'
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef	(revision 1301)
@@ -15,5 +15,6 @@
 MKTE=
 MKMO=
-WWDIR=/Users/ctlod/WORK/AZE/modipsl/config
+REXP=
+WWDIR=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
 #---------------------------------------------------------------------
 #-
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1301)
@@ -14,4 +14,5 @@
 NEMOLIB := $(shell awk '{ print $$1 }' .config)
 COMP=
+EXPER=
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
@@ -24,5 +25,5 @@
 LIBMPI  =
 LIBMP   =
-EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
 NBPRC = 6
 
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1301)
@@ -14,4 +14,5 @@
 NEMOLIB := $(shell awk '{ print $$1 }' .config)
 COMP=
+EXPER=
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
@@ -24,5 +25,5 @@
 LIBMPI  =
 LIBMP   =
-EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
 NBPRC = 6
 
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1301)
@@ -13,4 +13,5 @@
 NEMOLIB := $(shell awk '{ print $$1 }' .config)
 COMP=
+EXPER=
 MODDIR = $(LIBDIR)
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
@@ -24,5 +25,5 @@
 LIBMPI  =
 LIBMP   =
-EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
 NBPRC = 6
 
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1300)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1301)
@@ -13,4 +13,5 @@
 NEMOLIB := $(shell awk '{ print $$1 }' .config)
 COMP=
+EXPER=
 MODDIR = $(LIBDIR)
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
@@ -24,5 +25,5 @@
 LIBMPI  =
 LIBMP   =
-EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
 NBPRC = 1
 
Index: /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/BIO_osxxlf.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/BIO_osxxlf.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/BIO_osxxlf.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
Index: /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
@@ -12,4 +12,5 @@
 #     - zxrs   : (0/1) Ref memory_size.txt file (do/do not) exist"
 #     - zxrm   : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+#     - zexp   : experience name directory"
 #     - zconf  : configuration name"
 #     - zout   : output file name"
@@ -38,9 +39,10 @@
 function help_CPU_time
 {
-  echo "Usage: $nscript [-a] [-b] [-d] [-c] [-o] [-t]"
+  echo "Usage: $nscript [-a] [-b] [-d] [-e] [-c] [-o] [-t]"
   echo "Options: These are optional argument"
   echo " -a : (0/1) mon${zconf}_err file (do/do not) exist"
   echo " -b : (0/1) Ref memory_size.txt file (do/do not) exist"
   echo " -d : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+  echo " -e : experience name directory"
   echo " -c : configuration name"
   echo " -o : output file name"
@@ -54,4 +56,5 @@
 zxrs=1
 zxrm=1
+zexp=
 zconf=
 zout=
@@ -59,5 +62,5 @@
 
 # Get arguments
-while getopts a:b:d:c:o:t: opt
+while getopts a:b:d:e:c:o:t: opt
 do
   case "$opt" in
@@ -65,4 +68,5 @@
     b) zxrs="$OPTARG";;
     d) zxrm="$OPTARG";;
+    e) zexp="$OPTARG";;
     c) zconf="$OPTARG";;
     o) zout="$OPTARG";;
@@ -76,6 +80,6 @@
 evaltag=$?
 
-zfilecs='mon/LONG/memory_size.txt' ;  zfilers='mon/LONG/REF/memory_size.txt'
-zfilecm="mon/LONG/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
+zfilecs="mon/LONG/${zexp}/memory_size.txt" ;  zfilers='mon/LONG/REF/memory_size.txt'
+zfilecm="mon/LONG/${zexp}/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
 
 # If reference version files exist
Index: /trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
@@ -12,4 +12,5 @@
 #     - zxrs   : (0/1) Ref memory_size.txt file (do/do not) exist"
 #     - zxrm   : (0/1) Ref mon${CONF}_err file (do/do not) exist"
+#     - zexp   : experience name directory"
 #     - zconf  : configuration name"
 #     - zout   : output file name"
@@ -43,4 +44,5 @@
   echo " -b : (0/1) Ref memory_size.txt file (do/do not) exist"
   echo " -d : (0/1) Ref mon${CONF}_err file (do/do not) exist"
+  echo " -e : experience name directory"
   echo " -c : configuration name"
   echo " -o : output file name"
@@ -54,4 +56,5 @@
 zxrs=1
 zxrm=1
+zexp=
 zconf=
 zout=
@@ -59,5 +62,5 @@
 
 # Get arguments
-while getopts a:b:d:c:o:t: opt
+while getopts a:b:d:e:c:o:t: opt
 do
   case "$opt" in
@@ -65,4 +68,5 @@
     b) zxrs="$OPTARG";;
     d) zxrm="$OPTARG";;
+    e) zexp="$OPTARG";;
     c) zconf="$OPTARG";;
     o) zout="$OPTARG";;
@@ -76,5 +80,5 @@
 evaltag=$?
 
-zfilecs='mon/LONG/memory_size.txt'
+zfilecs='mon/LONG/${zexp}/memory_size.txt'
 zfilers='mon/LONG/REF/memory_size.txt'
 
Index: /trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is called by the assessment.ksh script for a 
@@ -12,4 +12,5 @@
 #     - zxrs   : (0/1) Ref memory_size.txt file (do/do not) exist"
 #     - zxrm   : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+#     - zexp   : experience name directory"
 #     - zconf  : configuration name"
 #     - zout   : output file name"
@@ -38,9 +39,10 @@
 function help_CPU_time
 {
-  echo "Usage: $nscript [-a] [-b] [-d] [-c] [-o] [-t]"
+  echo "Usage: $nscript [-a] [-b] [-d] [-e] [-c] [-o] [-t]"
   echo "Options: These are optional argument"
   echo " -a : (0/1) mon${zconf}_err file (do/do not) exist"
   echo " -b : (0/1) Ref memory_size.txt file (do/do not) exist"
   echo " -d : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+  echo " -e : experience name directory"
   echo " -c : configuration name"
   echo " -o : output file name"
@@ -54,4 +56,5 @@
 zxrs=1
 zxrm=1
+zexp=
 zconf=
 zout=
@@ -59,5 +62,5 @@
 
 # Get arguments
-while getopts a:b:d:c:o:t: opt
+while getopts a:b:d:e:c:o:t: opt
 do
   case "$opt" in
@@ -65,4 +68,5 @@
     b) zxrs="$OPTARG";;
     d) zxrm="$OPTARG";;
+    e) zexp="$OPTARG";;
     c) zconf="$OPTARG";;
     o) zout="$OPTARG";;
@@ -76,6 +80,6 @@
 evaltag=$?
 
-zfilecs='mon/LONG/memory_size.txt' ;  zfilers='mon/LONG/REF/memory_size.txt'
-zfilecm="mon/LONG/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
+zfilecs="mon/LONG/${zexp}/memory_size.txt" ;  zfilers='mon/LONG/REF/memory_size.txt'
+zfilecm="mon/LONG/${zexp}/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
 
 # If reference version files exist
Index: /trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ######################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # It is automatically launched (by the cron_jobs.ksh 
@@ -64,10 +64,12 @@
 CONF=$1
 TODO=$2
-TARGET=osxxlf
-VERSION=$( ( awk '/test=/ { print $2 }' specifs.txt ) )
+TARGET=sx8brodie
+EXPER=$( ( awk '/test=/ { print $2 }' specifs.txt ) )
 LRTYPE="$( ( awk '/runs=/ { printf  "%s %s %s", $2 , $3 , $4}' specifs.txt ) )"
 VTIME=$( ( awk '/time=/ { print $2 }' specifs.txt ) )
 REF_TAG=$( (awk '/tagname=/ {print $2}' specifs.txt) )
-TITLE="NEMO VALIDATION ${VERSION} : $CONF on $TARGET"
+URL_USE=$( (awk '/URL:/ {print $0}' specifs.txt) )
+REV_USE=$( (awk '/Revision:/ {print $2}' specifs.txt) )
+TITLE="NEMO VALIDATION ${EXPER} : $CONF on $TARGET"
 EMAIL='ctlod@locean-ipsl.upmc.fr'
 
@@ -117,5 +119,5 @@
     fmes2=" `ls -o ${zf2check}`           "
     fmes3=" - file ${zf2check} is empty  "
-    fmes4="       Num. time steps:   done  /  expected "
+    fmes4="                  Num. time steps:   done  /  expected "
     if [ ${zreprint} = 'yes' ] ; then 
         if [ ${zrepiter} == 0 ] ; then 
@@ -321,7 +323,7 @@
 
 # List of files to treat
-zcatfe[0]="mon/LONG/mon${zconf}_err"
-zcatfe[1]="mon/GTIME/mon${zconf}_err"
-zcatfe[2]="mpi/GTIME/mpi${zconf}_err"
+zcatfe[0]="mon/LONG/${EXPER}/mon${zconf}_err"
+zcatfe[1]="mon/GTIME/${EXPER}/mon${zconf}_err"
+zcatfe[2]="mpi/GTIME/${EXPER}/mpi${zconf}_err"
 
 ind=0
@@ -335,5 +337,5 @@
            cat ${kf} >> ${zname}
        done
-       cd ../..
+       cd ../../..
        let ind=${ind}+1
 done
@@ -346,11 +348,37 @@
 
 # ###############################
-# 0. CURRENT VERSION NAME
+# 0. EXPERIENCE NAME
 # ###############################
 echo " ############################                           "  > endjob.txt
-echo " CURRENT VERSION: $VERSION                              " >> endjob.txt
+echo " EXPERIENCE NAME: $EXPER                                " >> endjob.txt
 echo " ############################                           " >> endjob.txt
 echo "                                                        " >> endjob.txt
 echo "                                                        " >> endjob.txt
+
+# ###############################
+# 0.I LIST OF FILES TESTED, i.e. stored under NVTK/2TEST directory
+# ###############################
+nbfiles=$( (cat f2test.txt | wc -l) )
+echo " #################################################      " >> endjob.txt
+echo " FILES STORED UNDER NVTK/2TEST DIRECTORY & TESTED       " >> endjob.txt
+echo " #################################################      " >> endjob.txt
+echo "                                                        " >> endjob.txt
+echo "   Number of files : ${nbfiles}                         " >> endjob.txt
+echo "                                                        " >> endjob.txt
+cat f2test.txt                                                  >> endjob.txt
+echo "                                                        " >> endjob.txt
+
+# ###############################
+# 0.II NEMO SOURCE FILES INFORMATION, i.e. revision & URL downloaded
+# ###############################
+echo " #############################                          " >> endjob.txt
+echo " NEMO SOURCE FILES INFORMATION                          " >> endjob.txt
+echo " #############################                          " >> endjob.txt
+echo "                                                        " >> endjob.txt
+echo "   NEMO downloaded from server: ${URL_USE}              " >> endjob.txt
+echo "   NEMO revision : ${REV_USE}                           " >> endjob.txt
+echo "                                                        " >> endjob.txt
+echo "                                                        " >> endjob.txt
+
 
 test -n "${TODO}"
@@ -363,6 +391,6 @@
 # I. CHECK EXECUTABLE MEMORY SIZE
 # ###############################
-filecs='mon/LONG/memory_size.txt' ;  filers='mon/LONG/REF/memory_size.txt'
-filecm="mon/LONG/mon${CONF}_err"  ;  filerm="mon/LONG/REF/mon${CONF}_err"
+filecs="mon/LONG/${EXPER}/memory_size.txt" ;  filers='mon/LONG/REF/memory_size.txt'
+filecm="mon/LONG/${EXPER}/mon${CONF}_err"  ;  filerm="mon/LONG/REF/mon${CONF}_err"
 xfilecs=0  ; xfilecm=0 ; xfilers=0 ; xfilerm=0
 echo " ############################                           " >> endjob.txt
@@ -380,7 +408,7 @@
 
     if [ ${REF_TAG} ] ; then 
-        ./MEM_size_${TARGET}.ksh -a ${xfilecm} -b ${xfilers} -d ${xfilerm} -c ${CONF} -o endjob.txt -t ${REF_TAG} 
+        ./MEM_size_${TARGET}.ksh -a ${xfilecm} -b ${xfilers} -d ${xfilerm} -e ${EXPER} -c ${CONF} -o endjob.txt -t ${REF_TAG} 
     else
-        ./MEM_size_${TARGET}.ksh -a ${xfilecm} -b ${xfilers} -d ${xfilerm} -c ${CONF} -o endjob.txt
+        ./MEM_size_${TARGET}.ksh -a ${xfilecm} -b ${xfilers} -d ${xfilerm} -e ${EXPER} -c ${CONF} -o endjob.txt
     fi
 
@@ -415,5 +443,5 @@
 
         # Check that timing file for the ${runt} current version exist
-        filecv="${runt}/GTIME/${runt}${CONF}_err" 
+        filecv="${runt}/GTIME/${EXPER}/${runt}${CONF}_err" 
         checkfile ${filecv} 'endjob.txt' NORM yes ; xfilecv=$?
 
@@ -453,5 +481,5 @@
         echo "        -------------------------------------       " >> endjob.txt
 
-        filemon="mon/LONG/solver.stat" ;  filexxx="${runt}/LONG/solver.stat"
+        filemon="mon/LONG/${EXPER}/solver.stat" ;  filexxx="${runt}/LONG/${EXPER}/solver.stat"
         xfilemon=0
 
@@ -467,5 +495,5 @@
 
             # check that ocean.output files exist
-            filemon="mon/LONG/ocean.output" ;  filexxx="${runt}/LONG/ocean.output"
+            filemon="mon/LONG/${EXPER}/ocean.output" ;  filexxx="${runt}/LONG/${EXPER}/ocean.output"
             xfilemon=0
 
@@ -474,5 +502,5 @@
             
             # check that tracer.stat files have been built based on ocean.output ones
-            filemon="mon/LONG/tracer.stat" ;  filexxx="${runt}/LONG/tracer.stat"
+            filemon="mon/LONG/${EXPER}/tracer.stat" ;  filexxx="${runt}/LONG/${EXPER}/tracer.stat"
             xfilemon=0
             
@@ -504,5 +532,5 @@
     echo "        --------------------------                  " >> endjob.txt
 
-    file1="${runt}/1_SHORT/solver.stat" ;  file2="${runt}/2_SHORT/solver.stat" ; file3="${runt}/LONG/solver.stat"
+    file1="${runt}/1_SHORT/${EXPER}/solver.stat" ;  file2="${runt}/2_SHORT/${EXPER}/solver.stat" ; file3="${runt}/LONG/${EXPER}/solver.stat"
     xfile1=0
     #-------
@@ -522,5 +550,5 @@
 
        # check that ocean.output files exist
-        file1="${runt}/2_SHORT/ocean.output" ;  file2="${runt}/LONG/ocean.output"
+        file1="${runt}/2_SHORT/${EXPER}/ocean.output" ;  file2="${runt}/LONG/${EXPER}/ocean.output"
         xfile1=0
 
@@ -529,5 +557,5 @@
             
         # check that tracer.stat files have been built based on ocean.output ones
-        file1="${runt}/2_SHORT/tracer.stat" ;  file2="${runt}/LONG/tracer.stat"
+        file1="${runt}/2_SHORT/${EXPER}/tracer.stat" ;  file2="${runt}/LONG/${EXPER}/tracer.stat"
         xfile1=0
 
@@ -565,8 +593,8 @@
         echo '                        ocean.output   .vs.    ocean.output        ' >> endjob.txt
 
-        file1="${runt}/1_SHORT/solver.stat"          ;  file2="${runt}/2_SHORT/solver.stat"
-        filev1="${runt}/1_SHORT/REF/solver.stat"     ;  filev2="${runt}/2_SHORT/REF/solver.stat"
-        file_oc1="${runt}/1_SHORT/ocean.output"      ;  file_oc2="${runt}/2_SHORT/ocean.output"
-        file_roc1="${runt}/1_SHORT/REF/ocean.output" ;  file_roc2="${runt}/2_SHORT/REF/ocean.output"
+        file1="${runt}/1_SHORT/${EXPER}/solver.stat"          ;  file2="${runt}/2_SHORT/${EXPER}/solver.stat"
+        filev1="${runt}/1_SHORT/REF/solver.stat"              ;  filev2="${runt}/2_SHORT/REF/solver.stat"
+        file_oc1="${runt}/1_SHORT/${EXPER}/ocean.output"      ;  file_oc2="${runt}/2_SHORT/${EXPER}/ocean.output"
+        file_roc1="${runt}/1_SHORT/REF/ocean.output"          ;  file_roc2="${runt}/2_SHORT/REF/ocean.output"
         xfilev1=0 ; xfilev2=0 ; xfile_oc1=0 ; xfile_oc2=0
 
Index: /trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ######################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # This script is launched by the lance_batch.ksh script
Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1301)
@@ -12,10 +12,11 @@
 D_GET=xxx
 REF_TAG=xxx
+MYO_EXP=xxx
 TSYMB=xxx
 
 # Variables changed by ins_valid.ksh script
-MAINDIR=/Users/ctlod/WORK/AZE
-WORK=/Users/ctlod/WORK/AZE/modipsl/config
-REF_OD=/Volumes/FENUA/ORCA2_LIM_nemo_v2_IO
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
 
 # Arguments
@@ -43,5 +44,6 @@
 # Working directory
 cd ${TMPDIR}
-#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/RUN
+#-T- osxxlf mkdir -p ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
 #-T- osxxlf zback=$?
 #-T- osxxlf if [ ${zback} = 0 ] ; then rm -rf namelist* *.nc memory* solver.stat ocean.output* mpp.output* mono.output* ; fi
@@ -54,6 +56,23 @@
 ##############################################################
 ##############################################################
-# Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
 
 # Local function to find namelists parameters
@@ -61,4 +80,8 @@
     grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
 }
+
+# Ocean namelist
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
 
 # namelist modifications
@@ -91,6 +114,6 @@
 then
     if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart.nc restart.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld.nc restart_mld.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart.nc restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld.nc restart_mld.nc
     fi
 
@@ -99,6 +122,6 @@
         while [ $i -lt $NB_PROCS ]
         do
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_${i}.nc restart_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_${i}.nc restart_mld_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_${i}.nc restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_${i}.nc restart_mld_${i}.nc
            let i=$i+1
         done
@@ -132,8 +155,8 @@
 ##############################################################
 
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN} opa_${CONF}_${RUN}
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo opa_${CONF}_memo
-chmod 777 opa_${CONF}_${RUN}
-chmod 777 opa_${CONF}_memo
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
 
 #
@@ -145,11 +168,11 @@
         'mon' ) 
 #-T- sx8brodie export F_PROGINF=detail
-#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
-#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
 #-T- aix6     ;;
-#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
-#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
+#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
@@ -170,11 +193,11 @@
 case ${RUN} in
         'mon' | 'omp' ) 
-              ${CPERF} ./opa_${CONF}_${RUN} ;;
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
         'mpi' ) 
-#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
-#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}
+#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP}
 #-T- osxxlf   mpdallexit ;;
 esac
@@ -205,8 +228,8 @@
    if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
        kc='perf*'
-       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${kc}
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
        ind=0
    fi
-   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/$k
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
 done
 
@@ -236,5 +259,5 @@
 ##############################################################
 if [ $type = '1_short' ] ; then
-    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT
-    ${LAUNCH}job_${RUN}_2_short.ksh
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
 fi
Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1301)
@@ -12,10 +12,11 @@
 D_GET=xxx
 REF_TAG=xxx
+MYO_EXP=xxx
 TSYMB=xxx
 
 # Variables changed by ins_valid.ksh script
-MAINDIR=/Users/ctlod/WORK/AZE
-WORK=/Users/ctlod/WORK/AZE/modipsl/config
-REF_OD=/Volumes/FENUA/ORCA2_LIM_nemo_v2_IO
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
 
 # Arguments
@@ -43,5 +44,6 @@
 # Working directory
 cd ${TMPDIR}
-#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/RUN
+#-T- osxxlf mkdir -p ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
 #-T- osxxlf zback=$?
 #-T- osxxlf if [ ${zback} = 0 ] ; then rm -rf namelist* *.nc memory* solver.stat ocean.output* mpp.output* mono.output* ; fi
@@ -54,6 +56,23 @@
 ##############################################################
 ##############################################################
-# Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
 
 # Local function to find namelists parameters
@@ -61,4 +80,12 @@
     grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
 }
+
+# Ocean namelist
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
+
+# Biogeochemistry namelists
+get_namelist ${LOC_NAM} namelist_top ${MYO_EXP} namelist_top_f90
+get_namelist ${LOC_NAM} namelist_lobster ${MYO_EXP} namelist_lobster_f90
 
 # namelist modifications
@@ -85,8 +112,4 @@
 mv nam.tmp namelist
 
-# Biogeochemistry namelists
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_top namelist_top_f90
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_lobster namelist_lobster_f90
-
 # namelist modifications
 PAT_NWRITRC=$( supergrep nwritetrc               namelist_top_f90 )
@@ -112,8 +135,8 @@
 then
     if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart.nc         restart.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld.nc     restart_mld.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_trc.nc     restart_trc.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_trc.nc restart_mld_trc.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart.nc         restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld.nc     restart_mld.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_trc.nc     restart_trc.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_trc.nc restart_mld_trc.nc
     fi
 
@@ -122,8 +145,8 @@
         while [ $i -lt $NB_PROCS ]
         do
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_${i}.nc         restart_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_${i}.nc     restart_mld_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_trc_${i}.nc     restart_trc_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_trc_${i}.nc restart_mld_trc_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_${i}.nc         restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_${i}.nc     restart_mld_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_trc_${i}.nc     restart_trc_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_trc_${i}.nc restart_mld_trc_${i}.nc
            let i=$i+1
         done
@@ -166,8 +189,8 @@
 ##############################################################
 
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN} opa_${CONF}_${RUN}
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo opa_${CONF}_memo
-chmod 777 opa_${CONF}_${RUN}
-chmod 777 opa_${CONF}_memo
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
 
 #
@@ -179,11 +202,11 @@
         'mon' ) 
 #-T- sx8brodie export F_PROGINF=detail
-#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
-#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
 #-T- aix6     ;;
-#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
-#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
+#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
@@ -204,11 +227,11 @@
 case ${RUN} in
         'mon' | 'omp' ) 
-              ${CPERF} ./opa_${CONF}_${RUN} ;;
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
         'mpi' ) 
-#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
-#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}
+#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP}
 #-T- osxxlf   mpdallexit ;;
 esac
@@ -239,8 +262,8 @@
    if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
        kc='perf*'
-       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${kc}
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
        ind=0
    fi
-   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/$k
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
 done
 
@@ -270,5 +293,5 @@
 ##############################################################
 if [ $type = '1_short' ] ; then
-    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT
-    ${LAUNCH}job_${RUN}_2_short.ksh
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
 fi
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1301)
@@ -12,10 +12,11 @@
 D_GET=xxx
 REF_TAG=xxx
+MYO_EXP=xxx
 TSYMB=xxx
 
 # Variables changed by ins_valid.ksh script
-MAINDIR=/Users/ctlod/WORK/AZE
-WORK=/Users/ctlod/WORK/AZE/modipsl/config
-REF_OD=/Volumes/FENUA/ORCA2_LIM_nemo_v2_IO
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
 
 # Arguments
@@ -43,5 +44,6 @@
 # Working directory
 cd ${TMPDIR}
-#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/RUN
+#-T- osxxlf mkdir -p ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
 #-T- osxxlf zback=$?
 #-T- osxxlf if [ ${zback} = 0 ] ; then rm -rf namelist* *.nc memory* solver.stat ocean.output* mpp.output* mono.output* ; fi
@@ -54,9 +56,35 @@
 ##############################################################
 ##############################################################
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
 
 # Sea-Ice namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice_lim2 namelist_ice
+get_namelist ${LOC_NAM} namelist_ice_lim2 ${MYO_EXP} namelist_ice
 
 # Local function to find namelists parameters
@@ -103,7 +131,7 @@
 then
     if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart.nc restart.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*restart_ice.nc restart_ice_in.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld.nc restart_mld.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart.nc restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_ice.nc restart_ice_in.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld.nc restart_mld.nc
     fi
 
@@ -112,7 +140,7 @@
         while [ $i -lt $NB_PROCS ]
         do
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_${i}.nc restart_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*restart_ice_${i}.nc restart_ice_in_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_${i}.nc restart_mld_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_${i}.nc restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_ice_${i}.nc restart_ice_in_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_${i}.nc restart_mld_${i}.nc
            let i=$i+1
         done
@@ -146,8 +174,8 @@
 ##############################################################
 
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN} opa_${CONF}_${RUN}
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo opa_${CONF}_memo
-chmod 777 opa_${CONF}_${RUN}
-chmod 777 opa_${CONF}_memo
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
 
 #
@@ -159,11 +187,11 @@
         'mon' ) 
 #-T- sx8brodie export F_PROGINF=detail
-#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
-#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
 #-T- aix6     ;;
-#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
-#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
+#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
@@ -184,11 +212,11 @@
 case ${RUN} in
         'mon' | 'omp' ) 
-              ${CPERF} ./opa_${CONF}_${RUN} ;;
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
         'mpi' ) 
-#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
-#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}
+#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP}
 #-T- osxxlf   mpdallexit ;;
 esac
@@ -219,8 +247,8 @@
    if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
        kc='perf*'
-       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${kc}
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
        ind=0
    fi
-   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/$k
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
 done
 
@@ -250,5 +278,5 @@
 ##############################################################
 if [ $type = '1_short' ] ; then
-    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT
-    ${LAUNCH}job_${RUN}_2_short.ksh
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
 fi
Index: /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1301)
@@ -15,7 +15,7 @@
 
 # Variables changed by ins_valid.ksh script
-MAINDIR=/Users/ctlod/WORK/AZE
-WORK=/Users/ctlod/WORK/AZE/modipsl/config
-REF_OD=/Volumes/FENUA/ORCA2_LIM_nemo_v2_IO
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
 
 # Arguments
@@ -55,16 +55,40 @@
 ##############################################################
 ##############################################################
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
 # Ocean namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist .
-
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist .
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
+get_namelist ${LOC_NAM} 1_namelist ${MYO_EXP} 1_namelist
 
 # Sea-Ice namelist
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/namelist_ice_lim2 namelist_ice
-
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/1_namelist_ice_lim2 1_namelist_ice
+get_namelist ${LOC_NAM} namelist_ice_lim2 ${MYO_EXP} namelist_ice
+get_namelist ${LOC_NAM} 1_namelist_ice_lim2 ${MYO_EXP} 1_namelist_ice
 
 # AGRIF file
-cp ${MAINDIR}/modipsl/config/${CONF}/EXP00/AGRIF_FixedGrids.in AGRIF_FixedGrids.in
+cp ${LOC_NAM}/AGRIF_FixedGrids.in AGRIF_FixedGrids.in
 
 # Local function to find namelists parameters
@@ -126,9 +150,9 @@
 then
     if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/ZAGRI*_restart.nc restart.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/1_*restart.nc 1_restart.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/ZAGRI*restart_ice.nc restart_ice_in.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/1_*restart_ice.nc 1_restart_ice_in.nc
-        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld.nc restart_mld.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/ZAGRI*_restart.nc restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/1_*restart.nc 1_restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/ZAGRI*restart_ice.nc restart_ice_in.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/1_*restart_ice.nc 1_restart_ice_in.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld.nc restart_mld.nc
     fi
 
@@ -137,9 +161,9 @@
         while [ $i -lt $NB_PROCS ]
         do
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/ZAGRI*_restart_${i}.nc restart_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/1_*restart_${i}.nc 1_restart_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/ZAGRI*_restart_ice_${i}.nc restart_ice_in_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/1_*restart_ice_${i}.nc 1_restart_ice_in_${i}.nc
-           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/*_restart_mld_${i}.nc restart_mld_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/ZAGRI*_restart_${i}.nc restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/1_*restart_${i}.nc 1_restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/ZAGRI*_restart_ice_${i}.nc restart_ice_in_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/1_*restart_ice_${i}.nc 1_restart_ice_in_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_mld_${i}.nc restart_mld_${i}.nc
            let i=$i+1
         done
@@ -182,8 +206,8 @@
 ##############################################################
 
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN} opa_${CONF}_${RUN}
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo opa_${CONF}_memo
-chmod 777 opa_${CONF}_${RUN}
-chmod 777 opa_${CONF}_memo
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
 
 #
@@ -195,9 +219,9 @@
         'mon' ) 
 #-T- sx8brodie export F_PROGINF=detail
-#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
-#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
 #-T- aix6     ;;
-#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
@@ -216,8 +240,8 @@
 case ${RUN} in
         'mon' | 'omp' ) 
-              ${CPERF} ./opa_${CONF}_${RUN} ;;
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
         'mpi' ) 
-#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 esac
 
@@ -247,8 +271,8 @@
    if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
        kc='perf*'
-       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${kc}
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
        ind=0
    fi
-   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/$k
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
 done
 
@@ -278,5 +302,5 @@
 ##############################################################
 if [ $type = '1_short' ] ; then
-    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT
-    ${LAUNCH}job_${RUN}_2_short.ksh
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
 fi
Index: /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ######################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # INPUT ARGS: 3 + 1 optional
@@ -9,4 +9,5 @@
 #     - MTIME : timing/no timing (timing or notiming)
 #     - JOBTOL: jobs to launch: all, long, 1_short or gtime
+#     - OWNEXP: name of the experience performed
 #     - REFTAG: (optional): reference tag name to which current 
 #               version will be compare to
@@ -55,5 +56,5 @@
 ##### Begin Users modifications
 ##########################################################
-# IODIR     : directory where to get ORCA2_LIM_nemo_v2.tar 
+# IODIR     : directory where to get ORCA2_LIM_nemo_v3.1.tar 
 # PRC       : total number of processors which will be used
 ##########################################################
@@ -68,5 +69,6 @@
 MTIME=$2
 JOBTOL=$3
-REFTAG=$4
+OWNEXP=$4
+REFTAG=$5
 RUN=$(basename `pwd`)
 
@@ -127,5 +129,5 @@
 fi
 
-sed -e "s/^$W_XX *//" job_${CONF}.ksh | grep -v '^#-T- ' > job_${CONF}.$$
+sed -e "s%^$W_XX *%%" job_${CONF}.ksh | grep -v '^#-T- ' > job_${CONF}.$$
 
 # --------------------------------------------------------------
@@ -138,11 +140,11 @@
      'ax6_mono' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
-          sed    -e "s/$CAR_JNAM/\# @ job_name = ${RUN}${CONF}/" \
+          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONF}%" \
           jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp  ;;
      'aix6' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
           CAR_JMPI=$( grep '\# @ total_tasks' jhd_${TARGET}_${RUN} )
-          sed    -e "s/$CAR_JNAM/\# @ job_name = ${RUN}${CONF}/" \
-          -e "s/$CAR_JMPI/\# @ total_tasks = ${PRC}/" \
+          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONF}%" \
+          -e "s%$CAR_JMPI%\# @ total_tasks = ${PRC}%" \
           jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp  ;;
      'sx8brodie' )
@@ -152,13 +154,13 @@
           if [ ${RUN} = 'mpi' -o ${RUN} = 'omp' ] ; then
               CAR_JMPI=$( grep '\#PBS -l cpunum_job' jhd_${TARGET}_${RUN} )
-              sed    -e "s/$CAR_JNAM/\#PBS -N  ${RUN}${CONF}/" \
-              -e "s/$CAR_JNAMO/\#PBS -o  ${RUN}${CONF}_std/" \
-              -e "s/$CAR_JNAME/\#PBS -e  ${RUN}${CONF}_err/" \
-              -e "s/$CAR_JMPI/\#PBS -l cpunum_job=${PRC}/" \
+              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONF}%" \
+              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONF}_std%" \
+              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONF}_err%" \
+              -e "s%$CAR_JMPI%\#PBS -l cpunum_job=${PRC}%" \
               jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp
           else
-              sed    -e "s/$CAR_JNAM/\#PBS -N  ${RUN}${CONF}/" \
-              -e "s/$CAR_JNAMO/\#PBS -o  ${RUN}${CONF}_std/" \
-              -e "s/$CAR_JNAME/\#PBS -e  ${RUN}${CONF}_err/" \
+              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONF}%" \
+              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONF}_std%" \
+              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONF}_err%" \
               jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp
           fi ;;
@@ -224,18 +226,21 @@
        CAR_RTG_tmp=$( grep 'REF_TAG=xxx' job_tmp_${RUN}.ksh )
        CAR_RTG=`echo $CAR_RTG_tmp | cut -f 1 -d " " `
+       CAR_MYO_tmp=$( grep 'MYO_EXP=xxx' job_tmp_${RUN}.ksh )
+       CAR_MYO=`echo $CAR_MYO_tmp | cut -f 1 -d " " `
        CAR_TSY_tmp=$( grep 'TSYMB=xxx' job_tmp_${RUN}.ksh )
        CAR_TSY=`echo $CAR_TSY_tmp | cut -f 1 -d " " `
 
-       sed    -e "s/$CAR_TYPE/type=${jobnam[$ind]}/" \
-       -e "s/$CAR_RUN/RUN=$RUN/" \
-       -e "s/$CAR_MPP/NB_PROCS=$PRC/" \
-       -e "s@$CAR_SUB@LAUNCH='$LAUN'@" \
-       -e "s/$CAR_EXE/LEXE='$LSUB'/" \
-       -e "s/$CAR_PER/CPERF='$LPERF'/" \
-       -e "s?$CAR_INP?D_INPUT=$IODIR?" \
-       -e "s/$CAR_GET/D_GET=$CMDGET/" \
-       -e "s/$CAR_RTG/REF_TAG=$REFTAG/" \
-       -e "s/$CAR_TSY/TSYMB=$SYMBOL/" \
-       job_tmp_${RUN}.ksh > job_${RUN}_${jobnam[$ind]}.ksh
+       sed    -e "s%$CAR_TYPE%type=${jobnam[$ind]}%" \
+       -e "s%$CAR_RUN%RUN=$RUN%" \
+       -e "s%$CAR_MPP%NB_PROCS=$PRC%" \
+       -e "s%$CAR_SUB%LAUNCH='$LAUN'%" \
+       -e "s%$CAR_EXE%LEXE='$LSUB'%" \
+       -e "s%$CAR_PER%CPERF='$LPERF'%" \
+       -e "s%$CAR_INP%D_INPUT=$IODIR%" \
+       -e "s%$CAR_GET%D_GET=$CMDGET%" \
+       -e "s%$CAR_RTG%REF_TAG=$REFTAG%" \
+       -e "s%$CAR_MYO%MYO_EXP=$OWNEXP%" \
+       -e "s%$CAR_TSY%TSYMB=$SYMBOL%" \
+       job_tmp_${RUN}.ksh > job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh
 
        if [ ${jobnam[$ind]} = 'gtime' ] ; then
@@ -243,25 +248,29 @@
            case ${TARGET} in
                 'ax6_mono' | 'aix6' )
-                     CAR_JTIM=$( grep '\# @ wall_clock_limit' job_${RUN}_${jobnam[$ind]}.ksh )
-                     sed    -e "s/$CAR_JTIM/\# @ wall_clock_limit = ${LJTIM}/" \
-                     job_${RUN}_${jobnam[$ind]}.ksh > job_${RUN}_${jobnam[$ind]}.ksh_tmp  ;;
+                     CAR_JTIM=$( grep '\# @ wall_clock_limit' job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh )
+                     sed    -e "s%$CAR_JTIM%\# @ wall_clock_limit = ${LJTIM}%" \
+                     job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh > job_${RUN}_${jobnam[$ind]}.ksh_tmp  ;;
                 'sx8brodie' )
-                     CAR_JTIMP=$( grep '\#PBS -l cputim_prc' job_${RUN}_${jobnam[$ind]}.ksh )
-                     CAR_JTIMJ=$( grep '\#PBS -l cputim_job' job_${RUN}_${jobnam[$ind]}.ksh )
-                     sed    -e "s/$CAR_JTIMP/\#PBS -l cputim_prc=${LJTIM}/" \
-                     -e "s/$CAR_JTIMJ/\#PBS -l cputim_job=${LJTIMJ}/" \
-                     job_${RUN}_${jobnam[$ind]}.ksh > job_${RUN}_${jobnam[$ind]}.ksh_tmp  ;;
+                     CAR_JTIMP=$( grep '\#PBS -l cputim_prc' job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh )
+                     CAR_JTIMJ=$( grep '\#PBS -l cputim_job' job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh )
+                     sed    -e "s%$CAR_JTIMP%\#PBS -l cputim_prc=${LJTIM}%" \
+                     -e "s%$CAR_JTIMJ%\#PBS -l cputim_job=${LJTIMJ}%" \
+                     job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh > job_${RUN}_${jobnam[$ind]}.ksh_tmp  ;;
            esac
-           mv job_${RUN}_${jobnam[$ind]}.ksh_tmp job_${RUN}_${jobnam[$ind]}.ksh
+           mv job_${RUN}_${jobnam[$ind]}.ksh_tmp job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh
 
        fi
 
-       chmod 750 job_${RUN}_${jobnam[$ind]}.ksh
-       mv job_${RUN}_${jobnam[$ind]}.ksh ${dirjob[$ind]}/.
+       chmod 750 job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh
+
+       if [ ! -d ${dirjob[$ind]}/$OWNEXP ] ;  then
+           mkdir ${dirjob[$ind]}/$OWNEXP
+       fi
+       mv job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh ${dirjob[$ind]}/${OWNEXP}/.
 
        if [ ${jobnam[$ind]} != '2_short' ] ; then
-           cd ${dirjob[$ind]}
-           ${LAUN}job_${RUN}_${jobnam[$ind]}.ksh &
-           cd ../
+           cd ${dirjob[$ind]}/${OWNEXP}
+           ${LAUN}job_${RUN}_${jobnam[$ind]}_${OWNEXP}.ksh &
+           cd ../..
        fi
 
@@ -282,5 +291,5 @@
     CAR_LJOB=`echo $CAR_LJOB_tmp | cut -f 1 -d " " `
     
-    sed    -e "s/$CAR_LJOB/LJOBS=${LLJOBS}/" cron_jobs.ksh > cron_jobs.$$
+    sed    -e "s%$CAR_LJOB%LJOBS=${LLJOBS}%" cron_jobs.ksh > cron_jobs.$$
     mv cron_jobs.$$ cron_jobs.ksh &&  rm -rf cron_jobs.$$
     chmod 744 cron_jobs.ksh 
Index: /trunk/NVTK/INSTALL/ins_nvtk.ksh
===================================================================
--- /trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1300)
+++ /trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ######################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
 #
 # This script aims to (for each standard configuration) :
@@ -120,10 +120,4 @@
        cp ./CONFIG_FILES/BB_make.ldef_${CONF[${ind}]} ../../${CONF[${ind}]}/scripts/BB_make.ldef
 
-       # Configuration dependencies
-       (cd ../../${CONF[${ind}]} ; ../NVTK/fait_AA_make ; )
-echo '			'
-echo "             >>>>>>>>   Dependencies file ./config/${CONF[${ind}]}/BB_make have been re-built"
-echo '			'
-
        # III. Build output sub-directories
        # #################################
@@ -144,20 +138,16 @@
            mkdir W${CONF[${ind}]}/mon/LONG
            mkdir W${CONF[${ind}]}/mon/LONG/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mon/LONG/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mon/GTIME ] ;  then
            mkdir W${CONF[${ind}]}/mon/GTIME
            mkdir W${CONF[${ind}]}/mon/GTIME/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mon/GTIME/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mon/1_SHORT ] ;  then
            mkdir W${CONF[${ind}]}/mon/1_SHORT
            mkdir W${CONF[${ind}]}/mon/1_SHORT/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mon/1_SHORT/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mon/2_SHORT ] ;  then
            mkdir W${CONF[${ind}]}/mon/2_SHORT
            mkdir W${CONF[${ind}]}/mon/2_SHORT/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mon/2_SHORT/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mpi ] ;  then
@@ -167,20 +157,16 @@
            mkdir W${CONF[${ind}]}/mpi/LONG
            mkdir W${CONF[${ind}]}/mpi/LONG/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mpi/LONG/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mpi/GTIME ] ;  then
            mkdir W${CONF[${ind}]}/mpi/GTIME
            mkdir W${CONF[${ind}]}/mpi/GTIME/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mpi/GTIME/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mpi/1_SHORT ] ;  then
            mkdir W${CONF[${ind}]}/mpi/1_SHORT
            mkdir W${CONF[${ind}]}/mpi/1_SHORT/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mpi/1_SHORT/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/mpi/2_SHORT ] ;  then
            mkdir W${CONF[${ind}]}/mpi/2_SHORT
            mkdir W${CONF[${ind}]}/mpi/2_SHORT/REF
-	   if [ ${LOCTARG} = 'osxxlf' ] ; then mkdir W${CONF[${ind}]}/mpi/2_SHORT/RUN ; fi
        fi
        if [ ! -d W${CONF[${ind}]}/omp ] ;  then
@@ -207,5 +193,5 @@
 echo '                        under main directory '$( pwd )
 echo '			They are dedicated to store results'
-       tree W${CONF[${ind}]}
+       find W${CONF[${ind}]} -type d
 echo '			'
 
Index: /trunk/NVTK/Makefile
===================================================================
--- /trunk/NVTK/Makefile	(revision 1300)
+++ /trunk/NVTK/Makefile	(revision 1301)
@@ -1,8 +1,8 @@
 # $Id$
 #####################################################################
-# Author : Claude Talandier for ESOPA
-# Contact : opatlod@locean-ipsl.upmc.fr
+# Author : Claude Talandier for NEMO team
+# Contact : nemo_st@locean-ipsl.upmc.fr
 #
-# INPUT ARGS: 6 + 1 (optional)
+# VARS TO SET: 6 + 1 (optional)
 #     - NAM_V      : name of the current test
 #     - LISTE_CONF : configurations name (ORCA2_LIM, GYRE ...)
@@ -18,6 +18,7 @@
 #
 # WORK: Allows to launch all the validation process, i.e. 
-#     I.   compilations
-#     II.  simulations
+#     0.   build dependencies using: 'gmake -s dep'
+#     I.   launch compilation
+#     II.  launch simulation
 #     III. final report
 #
@@ -29,5 +30,5 @@
 #-
 #- Name of the test
-NAM_V = nemo_v3
+NAM_V = MY_EXP1
 #-
 #- Configurations list which must be tested
@@ -60,8 +61,8 @@
 
 #- Make good links & launch the compilation process
-$(LISTE_CONF):
+$(LISTE_CONF): 
 	@echo 
 	@echo "CONFIGURATION :" $@
-	( MYREP_LIST=`(cd 2TEST ; ls *.[Ffh]90 *.[Ffh])` ; \
+	@( MYREP_LIST=`(cd 2TEST ; ls *.[Ffh]90 )` ; \
           cd ../$@/MY_SRC ; rm -rf *.[Ffh]90 ; if [ -n "$$MYREP_LIST" ] ; \
         then ln -sf ../../NVTK/2TEST/*.[Ffh]90 . ; fi ; ) 
@@ -71,10 +72,114 @@
 	@echo "memo=" $(MAK_MEMO) >> ../$@/specifs.txt
 	@echo "tagname=" $(REF_TAGV) >> ../$@/specifs.txt
+	@echo `svn info ../../modeles/NEMO | grep URL` >> ../$@/specifs.txt
+	@echo `svn info ../../modeles/NEMO | grep Revision ` >> ../$@/specifs.txt
+	@( `(cd 2TEST ; ls *.[Ffh]90 > ../../$@/f2test.txt )` )
 	@echo 
-	@echo '             ----->>>>>>>>>   Links from' $@/MY_SRC ' to NVTK/2TEST done'
+	@echo '             ----->>>>>>>>>   Links from NVTK/2TEST to '$@/MY_SRC 'done'
 	@echo 
 	@echo '                              Build the Makefile for' $@ 'configuration'
-	../../util/ins_make -w $@
+	@../../util/ins_make -w $@
 	@echo
 	@echo
-	gmake -C ../$@ RUN='$(BUILD_MAKE)' JOB=$(JOBS_2LAUN) RTG=$(REF_TAGV) MKTE=$(MAK_TIME) MKMO=$(MAK_MEMO) -j 2 > $@_step.txt
+	@gmake -C ../$@ RUN='$(BUILD_MAKE)' JOB=$(JOBS_2LAUN) RTG=$(REF_TAGV) MKTE=$(MAK_TIME) MKMO=$(MAK_MEMO) REXP=$(NAM_V) -j 2 > $@_step.txt
+
+#- Rebuild dependencies when new cpp key and/or new module used
+dep: clear
+	for conf in ${LISTE_CONF}; do \
+	    echo ; \
+	    echo ; \
+	    echo ; \
+	    echo '             ----->>>>>>>>> Rebuild dependencies for the' $$conf 'configuration' ; \
+	    echo ; \
+	    echo '                          > Build links from 2TEST to '$$conf'/MY_SRC directory :' ; \
+	    echo ; \
+	    MYREP_LIST=`(cd 2TEST ; ls *.[Ffh]90 )` ; \
+            cd ../$$conf/MY_SRC ; rm -rf *.[Ffh]90 ; \
+            if [ -n "$$MYREP_LIST" ] ; \
+            then for F in $$MYREP_LIST; do \
+            echo "                             # link from 2TEST to "$$conf"/MY_SRC/$$F" ; \
+                   ln -sf  ../../NVTK/2TEST/$$F . ; \
+                done ; fi ; \
+	    echo ; \
+	    echo ; \
+	    echo '                          > Rebuild links in the '$$conf'/WORK directory:' ; \
+	    echo ; \
+            cd ../WORK ; \
+	    rm -rf `ls | fgrep -v -f .patron` ; \
+	    check=`grep OPA_SRC .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use OPA_SRC component files"                ; \
+	        ln -sf ../../../modeles/NEMO/OPA_SRC/*.[Ffh]90          . ; \
+	        ln -sf ../../../modeles/NEMO/OPA_SRC/*/*.[Ffh]90      . ; \
+            fi ; \
+	    check=`grep LIM_SRC_2 .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use LIM_SRC_2 component files"                ; \
+                ln -sf ../../../modeles/NEMO/LIM_SRC_2/*.[Ffh]90          . ; \
+            fi ; \
+	    check=`grep LIM_SRC_3 .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use LIM_SRC_3 component files"                ; \
+                ln -sf ../../../modeles/NEMO/LIM_SRC_3/*.[Ffh]90          . ; \
+            fi ; \
+	    check=`grep NST_SRC .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use NST_SRC component files"                ; \
+                \rm -rf agrif_opa_interp.F90           ; \
+                \rm -rf agrif_opa_sponge.F90           ; \
+                \rm -rf agrif_opa_update.F90           ; \
+                \rm -rf agrif_top_interp.F90           ; \
+                \rm -rf agrif_top_sponge.F90           ; \
+                \rm -rf agrif_top_update.F90           ; \
+                ln -sf ../../../modeles/NEMO/NST_SRC/*.[Ffh]90      .     ; \
+            fi ; \
+	    check=`grep C1D_SRC .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use C1D_SRC component files"                ; \
+                ln -sf ../../../modeles/NEMO/C1D_SRC/*.[Ffh]90          . ; \
+            fi ; \
+	    check=`grep TOP_SRC .config`              ; \
+	    if [ -n "$$check" ] ; then  \
+	        echo "                             # use TOP_SRC component files"                ; \
+                \rm -rf trcstp.F90                      ; \
+                \rm -rf sms.F90                         ; \
+                \rm -rf trcini.F90                      ; \
+                ln -sf ../../../modeles/NEMO/TOP_SRC/*.[Ffh]90          . ; \
+                ln -sf ../../../modeles/NEMO/TOP_SRC/*/*.[Ffh]90      . ; \
+            fi ; \
+	    check=`grep OFF_SRC .config`              ; \
+	    if [ -n "$$check" ] ; then                   \
+	        echo "                             # use OFF_SRC component files"                ; \
+                ln -sf ../../../modeles/NEMO/OFF_SRC/*.[Ffh]90          . ; \
+                ln -sf ../../../modeles/NEMO/OFF_SRC/*/*.[Ffh]90        . ; \
+            fi ; \
+	    mn=`awk '{ print $$1 }' .config `  ; \
+            myrep=../../../config/$$mn/MY_SRC ; \
+	    echo "                             # use MY_SRC component files"                ; \
+            for i in `ls $$myrep` ; do \
+              [ -f $$i ] && \rm -rf $$i ;\
+            done ; \
+            myrep_list=`(cd $$myrep ; ls *.[Ffh]90 )` ; \
+            if [ -n "$$myrep_list" ] ; then \
+                for F in $$myrep_list; do \
+                   ln -sf  $$myrep/$$F . ; \
+                done ; \
+            fi ; \
+            cd .. ; ../NVTK/fait_AA_make ; \
+	    echo ; \
+	    echo "                             #################################" ;\
+	    echo "                             Dependencies for" $$conf "ready" ;\
+	    echo "                             #################################" ;\
+	    echo ;\
+            cd ../NVTK ; \
+        done 
+	@echo
+	@echo "                             ##################################################" 
+	@echo "                             Launch the compilation and job process using gmake" 
+	@echo "                             ##################################################"
+	@echo
+
+clear :
+	@echo
+	@echo 
+	@clear 
Index: /trunk/NVTK/use_cfg
===================================================================
--- /trunk/NVTK/use_cfg	(revision 1300)
+++ /trunk/NVTK/use_cfg	(revision 1301)
@@ -2,6 +2,6 @@
 # $Id$
 ######################################################
-# Author : Rachid benshila for ESOPA
-# Contact : opatlod@lodyc.jussieu.fr
+# Author : Rachid benshila for NEMO team
+# Contact : nemo_st@lodyc.jussieu.fr
 #
 # This script aims to create the OPA/WORK directory
